### Struct

# Xdp Parent

#### Description [src]

    struct XdpParent {
      /* No available fields */
    }

Parent window abstraction.

The `XdpParent` struct provides an abstract way to represent a window, without introducing a dependency on a toolkit library.

XdpParent implementations for GTK 3, GTK 4, Qt 5, and Qt 6 are available as separate libraries.

#### Instance methods

###### xdp_parent_copy

Copies `source` into a new `XdpParent`.

###### xdp_parent_free

Frees `parent`.